<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	template="template.xhtml">
	<ui:define name="content">
      	  <ui:insert name="metadata"/>

		<table>
			<tr>
			<td><img width="50" src="./userPicture?user=#{taskListController.currentUser}"/></td>
			<td style="vertical-align:top;">
				<strong>#{businessProcess.task.name}</strong><br/>
				#{businessProcess.task.description}
			</td>
			</tr>			
		</table>


		<div id="accordion">
			<div>
				<h3><a href="#">Formular</a></h3>
				<div>
					<h:form>
       					<ui:insert name="form">here we will see the form</ui:insert>
						<h:commandButton action="#{businessProcess.completeTask(true)}" value="OK" />
					</h:form>
				</div>
			</div>
			<div>
				<h3><a href="#">Beleg als PDF</a></h3>
				<div><a target="_blank" href="./downloadInvoice?taskId=#{taskId}">PDF anzeigen</a></div>
			</div>
			<div>
				<h3><a href="#">Wo stehe ich im Prozess?</a></h3>			
	     	   <div style="padding:0px !important;"><div position="relative">
	     	       <img src="processDiagram?processDefinitionId=#{task.processDefinitionId}" style="padding-left:2px;" />
		 	   		<ui:repeat value="#{processDiagramController.getActiveActivityBoundsOfLatestProcessInstance()}" var="bounds">
				       <img src="token.png" style="
				         position: absolute;
				         left: #{bounds.x + bounds.width - 25}px;
				         top: #{bounds.y - 15}px;
				         z-index: 1;
				         "/>

	    			</ui:repeat>			

		 	   		<ui:repeat value="#{processDiagramController.getTraversedFlowNodes()}" var="pact">
				       <img src="htoken.png" style="
				         position: absolute;
				         left: #{pact.bounds.x + pact.bounds.width - 20}px;
				         top: #{pact.bounds.y - 10}px;
				         z-index: 0;
				         "/>
					     <div class="highlight_#{pact.hact.activityId}" style="
					       cursor: pointer;
					       position: absolute;
					       left: #{pact.bounds.x}px;
					       top: #{pact.bounds.y}px;
					       width: #{pact.bounds.width}px;
					       height: #{pact.bounds.height}px;
					       /*border: 2px solid rgb(181, 21, 43);
					       background: rgba(181, 21, 43, 0.1);
					       border-radius: 5px; -moz-border-radius: 5px;*/"></div>
	       
						   <div id="dialog_#{pact.hact.activityId}" title="Details">
						      <table><tr>
						       <td>Aufgabe: </td><td>#{pact.hact.activityName}</td></tr>
						       <tr><td>Abgearbeitet von: </td><td>#{pact.hact.assignee}</td></tr>
						       <tr><td>Beauftragt: </td><td>
						       <h:outputText value="#{pact.hact.startTime}" >
						       		<f:convertDateTime pattern="dd.MM.yyyy HH:mm" timeZone="Europe/Berlin" /> 
						 	    </h:outputText>
						 	    Uhr
						 	    </td></tr>
						       <tr><td>Beendet: </td><td>
						        <h:outputText value="#{pact.hact.endTime}" >
						       		<f:convertDateTime pattern="dd.MM.yyyy HH:mm" timeZone="Europe/Berlin"  /> 
						 	    </h:outputText>
						 	    Uhr
						       </td></tr>
						       <tr><td>Durchlaufzeit: </td><td>
						       
						         <h:outputText value="#{pact.hact.durationInMillis}" >
						       		<f:convertDateTime pattern="HH:mm:ss" type="time" /> 
						 	    </h:outputText>
						       </td></tr>
						      </table>
						    </div>
					          <script>
					        $(document).ready(function() {
					
					        $("#dialog_#{pact.hact.activityId}").dialog({ autoOpen: false, modal: false, resizable: false, width: 450 });
					
					        $(".highlight_#{pact.hact.activityId}").click(function() {
					          var x = $(this).position().left;
					          var y = $(this).position().top - $(document).scrollTop() + 100;
					          $("#dialog_#{pact.hact.activityId}").dialog('option', 'position', [x,y]);
					          $('#dialog_#{pact.hact.activityId}').dialog('open');
					        });
					
					      });
					    </script>
	       
	    			</ui:repeat>


	    			</div>
	     	   </div>
			</div>
		</div>
	</ui:define>
</ui:composition>
